import { jsx } from "react/jsx-runtime";
import { ChartDonutIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ChartDonut = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ChartDonut", ...props, children: /* @__PURE__ */ jsx(ChartDonutIcon, { weight: variant }) });
  }
);
ChartDonut.displayName = "ChartDonut";
Object.assign(ChartDonut, { isGdsIcon: true });
export {
  ChartDonut
};
